#ifndef COMDOBJECT_H
#define COMDOBJECT_H

#include "DataObject.h"

class ComdObject : public DataObject
{
    Q_OBJECT
public:
    explicit ComdObject(QObject *parent = 0)
        :DataObject(parent){}

    Q_PROPERTY (QString pid READ getPid WRITE setPid)
    Q_PROPERTY (QString name READ getName WRITE setName)
    Q_PROPERTY (QString upc READ getupc WRITE setupc)
    Q_PROPERTY (int price READ getprice WRITE setprice)
    Q_PROPERTY (int productAmount READ getProductAmount WRITE setProductAmount)
    Q_PROPERTY (QString property_tags READ getPropertyTags WRITE setPropertyTags)
    Q_PROPERTY(QString bsk_num READ getbsk_num WRITE setbsk_num)

protected:
    QString getbsk_num() const;
    void setbsk_num(const QString& v);

    QString getPid() const ;
    void setPid(const QString& v);

    QString getName() const ;
    void setName(const QString& v);

    QString getupc() const ;
    void setupc(const QString& v);

    int getprice() const ;
    void setprice(const int& v);

    int getProductAmount() const ;
    void setProductAmount(const int &v);

    QString getPropertyTags() const;
    void setPropertyTags(const QString & v);

public:
    QString pid;
    QString name;
    QString upc;
    QString property_tags;
    int price;
    int productAmount;
    QString bsk_num;
};

#endif // COMDOBJECT_H
